<?php

namespace catchAdmin\hydraulic\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\hydraulic\model\Maintenance as maintenanceModel;

class Maintenance extends CatchController
{
    protected $maintenanceModel;
    
    public function __construct(MaintenanceModel $maintenanceModel)
    {
        $this->maintenanceModel = $maintenanceModel;
    }
    
    /**
     * 列表
     * @time 2022年05月23日 09:40
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->maintenanceModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2022年05月23日 09:40
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->maintenanceModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2022年05月23日 09:40
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->maintenanceModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年05月23日 09:40
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->maintenanceModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2022年05月23日 09:40
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->maintenanceModel->deleteBy($id));
    }
}